### Method

# RB RhythmDB emit_entry_extra_metadata_notify

#### Declaration [src]

    void
    rhythmdb_emit_entry_extra_metadata_notify (
      RhythmDB* db,
      RhythmDBEntry* entry,
      const gchar* property_name,
      const GValue* metadata
    )

#### Description [src]

Emits a signal describing extra metadata for the `entry`. The `property_name` argument is emitted as the ::detail part of the “entry_extra_metadata_notify” signal and as the ‘field’ parameter. Handlers can ensure they only get metadata they are interested in by supplying an appropriate ::detail part when connecting to the signal. If handlers are interested in the metadata they should ref or copy the contents of `metadata` and unref or free it when they are finished with it.

#### Parameters

`entry`

  Type: `RhythmDBEntry`

  A `RhythmDBEntry`.

  The data is owned by the caller of the method.

`property_name`

  Type: `const gchar*`

  The metadata predicate.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`metadata`

  Type: `GValue`

  A `GValue`.

  The data is owned by the caller of the method.